Bug 801052 - wireless Access points cannot remain connected - Fedora-17-Beta-TC1-i686-Live-Desktop.iso (AR928X)
wireless Access points cannot remain connected - Fedora-17-Beta-TC1-i686-Live...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 10:05 EST by satellitgo
Modified: 2013-07-31 19:34 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Shows Network card (1.49 KB, text/plain)
2012-03-07 10:05 EST, satellitgo
no flags Details
Failure of wireless adapter: dmesg output (26.19 KB, text/plain)
2012-03-07 10:56 EST, satellitgo
no flags Details
KDE-dmsg output Wireless AP works (54.29 KB, text/plain)
2012-03-07 11:16 EST, satellitgo
no flags Details

  None (edit)
Description satellitgo 2012-03-07 10:05:08 EST
Created attachment 568320 [details]
Shows Network card

Description of problem:
WEP ascii Wireless AP connects and disconnects every 5-10 seconds


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 satellitgo 2012-03-07 10:06:31 EST
ACER ASPIRE ONE N450 Wired connection works.
Comment 2 John W. Linville 2012-03-07 10:46:45 EST
We will need more information.  Please start by attaching the output of running dmesg after at least one of these disconnects have happened...thanks!
Comment 3 satellitgo 2012-03-07 10:56:22 EST
Created attachment 568334 [details]
Failure of wireless adapter: dmesg output

Failure of wireless adapter dmesg :output
Comment 4 satellitgo 2012-03-07 11:07:01 EST
wireless AP stays connected here Fedora-17-Beta-TC1-i686-Live-KDE.iso
Comment 5 satellitgo 2012-03-07 11:16:05 EST
Created attachment 568341 [details]
KDE-dmsg output Wireless AP works
Comment 6 John W. Linville 2012-03-07 11:24:00 EST
So, the GNOME-based liveCD fails but the KDE-based liveCD works?  That seems a bit wierd...
Comment 7 satellitgo 2012-03-07 11:27:22 EST
Not Live CD
4 GB USB-sticks built with:

sudo ./tools_livecd-iso-to-disk.sh --reset-mbr --overlay-size-mb 500 --home-size-mb 900 --delete-home --unencrypted-home Fedora-17-Beta-TC1-i686-Live-KDE.iso /dev/sdg1

sudo ./tools_livecd-iso-to-disk.sh --reset-mbr --overlay-size-mb 500 --home-size-mb 900 --delete-home --unencrypted-home Fedora-17-Beta-TC1-i686-Live-Desktop.iso /dev/sdg1
Comment 8 satellitgo 2012-03-07 12:42:47 EST
wrong country code in Fedora-17-Beta-TC1-x86_64-Live-Desktop.iso?
Cause for cycling?

  168.330330] wlan0: authenticated
[  168.331087] wlan0: associate with 00:1e:52:79:fa:34 (try 1)
[  168.334690] wlan0: RX ReassocResp from 00:1e:52:79:fa:34 (capab=0x431 status=0 aid=2)
[  168.334698] wlan0: associated
[  168.334705] wlan0: moving STA 00:1e:52:79:fa:34 to state 1
[  168.334710] wlan0: moving STA 00:1e:52:79:fa:34 to state 2
[  168.336111] cfg80211: Calling CRDA for country: US
[  168.337552] wlan0: moving STA 00:1e:52:79:fa:34 to state 3
[  168.361124] ath: regdomain 0x8348 updated by CountryIE
[  168.361133] ath: EEPROM regdomain: 0x8348
[  168.361139] ath: EEPROM indicates we should expect a country code
[  168.361147] ath: doing EEPROM country->regdmn map search
[  168.361154] ath: country maps to regdmn code: 0x3a
[  168.361159] ath: Country alpha2 being used: US
[  168.361164] ath: Regpair used: 0x3a
[  168.361246] cfg80211: Regulatory domain changed to country: US
[  168.361255] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[  168.361264] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[  168.361273] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[  168.361280] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[  168.361287] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[  168.361294] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[  168.361301] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[  174.085271] wlan0: deauthenticating from 00:1e:52:79:fa:34 by local choice (reason=3)
[  174.090403] wlan0: moving STA 00:1e:52:79:fa:34 to state 2
[  174.090412] wlan0: moving STA 00:1e:52:79:fa:34 to state 1
[  174.090418] wlan0: moving STA 00:1e:52:79:fa:34 to state 0
[  174.097976] cfg80211: Calling CRDA to update world regulatory domain
[  174.167842] cfg80211: World regulatory domain updated:
[  174.167856] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[  174.167867] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[  174.167876] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[  174.167885] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[  174.167894] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[  174.167903] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[root@localhost liveuser]#
Comment 9 satellitgo 2012-03-07 13:07:41 EST
"Ignore" in  IPv6 settings in wireless and wired seems to fix it? now desktop stays connected for me from one of the older bugs

Also turn airplane mode off after changes
Comment 10 satellitgo 2012-03-07 13:13:29 EST
(In reply to comment #9)
> "Ignore" in  IPv6 settings in wireless and wired seems to fix it? now desktop
> stays connected for me from one of the older bugs
> 
> Also turn airplane mode off after changes

https://bugzilla.redhat.com/show_bug.cgi?id=753482#c4
has fix mentioned
Comment 11 satellitgo 2012-03-07 20:36:28 EST
sudo ./tools_livecd-iso-to-disk.sh --reset-mbr --overlay-size-mb 500 --home-size-mb 900 --delete-home --unencrypted-home Fedora-17-Beta-TC1-i686-Live-LXDE.iso /dev/sdg1

has no dropouts
Comment 12 satellitgo 2012-03-09 13:56:03 EST
My test system is linked on IPv6 and has IPv4 available

Seems I connect on IPv4 and then try to link onIPv6 which is blocked in fedora.
Result is connect/disconnect behavior on network in f17 Beta TC1 Desktop

DHCPv6 responses are not allowed by default ip6tables ruleset
https://bugzilla.redhat.com/show_bug.cgi?id=591630#c19
Comment 13 satellitgo 2012-03-09 16:24:29 EST
Related ?
https://bugzilla.redhat.com/show_bug.cgi?id=753482#c8
Comment 14 Pavel Šimerda (pavlix) 2012-03-09 16:48:14 EST
satellit:

I believe so. This looks exactly like bug 753482.

ip-config-unavailable in syslog's deamon.debug should tell you if it is the same bug or not.
Comment 15 satellitgo 2012-03-09 17:43:12 EST
Related ?
https://bugzilla.redhat.com/show_bug.cgi?id=753482#c8
Comment 16 satellitgo 2012-03-09 17:45:40 EST
mid air collision  comments lost
Comment 17 satellitgo 2012-03-09 18:02:37 EST
tested on ACER ASPIRE ONE N450:
This is same Netbook I tested f17 TC1 Beta Desktop and saw the connect/disconnect behavior until IPv6 was changed from Automatic to ignore. Then the connection was up permanently.


OS Ubuntu 10.04.4 Desktop (wired cat5 and wireless AP connected.)
Network Tools

eth0: 
Protocol   IP Address        Netmask/Prefix     Broadcast                 Scope
IPv6       yes               64                                           link
IPv4       yes               255.255.248.0

wlan0:
Protocol   IP Address        Netmask/Prefix     Broadcast                 Scope
IPv6       yes               64                                           Global
IPv4       0.0.0.0           0.0.0.0
Comment 18 satellitgo 2012-03-12 12:58:05 EDT
Fedora-17-Beta-TC1-x86_64-Live-XFCE.iso Boot CD
Edited Wireless and added WEP ASCII password
set wireless IPv6 to "ignore" 
Install to HD:
use whole disk non LVM
Boot 
Add/Remove Programs - sugar
check all pertinent activities
Menu/education/sugar
Sugar emulator starts:
sugar-desktop starts  and wireless AP is already configured.
Wireless stays connected
Values from Live CD seem to be transferred to install.
Comment 19 Pavel Šimerda (pavlix) 2012-03-18 18:56:42 EDT
Please see new info in bug 753482 and check MaxRtrAdvInterval and AdvRDNSSLifetime in router's configuration if you have access to it.
Comment 20 Dan Winship 2012-04-19 10:51:32 EDT
I don't think this is 753482; there'd be "ndisc_router_discovery() failed to add default route" messages in the dmesg output if it was. (And it would be weird to have an AdvRDNSSLifetime of 10 seconds anyway.)

/var/log/messages would be useful, since that would show both kernel and NetworkManager logs
Comment 21 Fedora End Of Life 2013-07-03 17:59:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2013-07-31 19:34:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.